tt_session_propnames_count(library call)

NAME
tt_session_propnames_count — return the number of property names for the session

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_session_propnames_count(
const char *sessid);

DESCRIPTION

The tt_session_propnames_count function returns the number of currently defined property names for the session.

The sessid argument is the name of the session joined. The application can use the sessid value returned when tt_default_session is called.

RETURN VALUE

Upon successful completion, the tt_session_propnames_count function returns the number of property names for the session. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).